// This file is generated by kconfig_compiler from kreversi.kcfg.
// All changes you do to this file will be lost.
#ifndef PREFERENCES_H
#define PREFERENCES_H

#include <kconfigskeleton.h>
#include <kdebug.h>

class Preferences : public KConfigSkeleton
{
  public:
    class EnumAnimationSpeed
    {
      public:
      enum type { Slow, Normal, Fast, COUNT };
    };

    static Preferences *self();
    ~Preferences();

    /**
      Set The speed of the animations.
    */
    static
    void setAnimationSpeed( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "AnimationSpeed" ) ))
        self()->mAnimationSpeed = v;
    }

    /**
      Get The speed of the animations.
    */
    static
    int animationSpeed()
    {
      return self()->mAnimationSpeed;
    }


    /**
      Get Whether to play competitively in contrast to casually.
    */
    static
    bool competitiveGameChoice()
    {
      return self()->mCompetitiveGameChoice;
    }

    /**
      Set The strength of the computer player.
    */
    static
    void setSkill( int v )
    {
      if (v < 1)
      {
        kDebug() << "setSkill: value " << v << " is less than the minimum value of 1" << endl;
        v = 1;
      }

      if (v > 7)
      {
        kDebug() << "setSkill: value " << v << " is greater than the maximum value of 7" << endl;
        v = 7;
      }

      if (!self()->isImmutable( QString::fromLatin1 ( "Skill" ) ))
        self()->mSkill = v;
    }

    /**
      Get The strength of the computer player.
    */
    static
    int skill()
    {
      return self()->mSkill;
    }

    /**
      Set Whether to use colored chips instead of black and white ones.
    */
    static
    void setUseColoredChips( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "UseColoredChips" ) ))
        self()->mUseColoredChips = v;
    }

    /**
      Get Whether to use colored chips instead of black and white ones.
    */
    static
    bool useColoredChips()
    {
      return self()->mUseColoredChips;
    }

  protected:
    Preferences();
    friend class PreferencesHelper;


    // Game
    int mAnimationSpeed;
    bool mCompetitiveGameChoice;
    int mSkill;
    bool mUseColoredChips;

  private:
};

#endif

